[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# ScaleX

Resizes the specified horizontal size from a given display density to the current screen PPI.

## Declaration

Source position: graphics.pp line 2056

`function ScaleX(`
`const SizeX: Integer;`
`const FromDPI: Integer`
`):Integer;`

## Arguments

`SizeX` |  | Size value scaled in the routine.
`FromDPI` |  | Original display density (Pixels per Inch).

## Function result

New horizontal size after scaling.

## Description

Multiplies the values in SizeX and the PixelsPerInchX member in ScreenInfo, and divides the product by the value in FromDPI. The return value is rounded to the nearest Integer value.

## See also

TScreenInfo
MulDiv |  | Multiples the numerator by the specified Integer value, and divides the result by the denominator value.